Dev-Team just announced that their ultrasn0w carrier unlock now supports the iPhone 4! Version 1.0-1 of ultrasn0w works for:<ul>[*]iPhone4 baseband 01.59[*]3G/3GS basebands 04.26.08, 05.11.07, 05.12.01 and 05.13.04[/list]
You need to have an jailbroken iPhone 4 to unlock your phone. To jailbreak your iPhone 4 head over to our Jailbreak section. If ultrasn0w doesn’t show when you search Cydia, add the repo: repo666.ultrasn0w.com. NOTE: T-Mobile US users will have to disable 3G by navigation to: Settings - General - Network and turning the "Enable 3G" switch to OFF before installing the ultrasn0w unlock.
[youtube]http://www.youtube.com/watch?v=_5cvPyVGzgU[/youtube]
[Thx Pece]